#!/bin/bash

SUFFIX=$1

curl -sK -v http://localhost:8181/debug/pprof/heap > heap-${SUFFIX}.prof
curl -sK -v http://localhost:8181/debug/pprof/allocs > allocs-${SUFFIX}.prof

go tool pprof -lines -png -output heap-${SUFFIX}.png heap-${SUFFIX}.prof
go tool pprof -lines -png -output allocs-${SUFFIX}.png allocs-${SUFFIX}.prof

